aboutsummaryrefslogtreecommitdiff
path: root/libraries/log4shib/log4shib.SlackBuild
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2022-04-18 10:52:16 -0400
committerB. Watson <yalhcru@gmail.com>2022-04-18 10:52:16 -0400
commitf565685929b663c93cbaac9c421fa29521e2cccb (patch)
treeec9539177a7e6807bd9fe7f456283e9a1ce247b6 /libraries/log4shib/log4shib.SlackBuild
parent6bea8c4f0bb8b5c89aaee53c96e356559da9d71b (diff)
libraries/log4shib: Fix conflict with graphviz.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries/log4shib/log4shib.SlackBuild')
-rw-r--r--libraries/log4shib/log4shib.SlackBuild25
1 files changed, 15 insertions, 10 deletions
diff --git a/libraries/log4shib/log4shib.SlackBuild b/libraries/log4shib/log4shib.SlackBuild
index 537f7c7e623e..14c7459f5f37 100644
--- a/libraries/log4shib/log4shib.SlackBuild
+++ b/libraries/log4shib/log4shib.SlackBuild
@@ -22,11 +22,19 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220301 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - add --disable-dot to the configure command. dot is part of
+# our graphviz build, and wouldn't be installed on a clean install
+# of Slackware. if it's installed on the build host, it causes the
+# build to consume lots of time and resources, and possibly fail
+# on lower-spec machines (e.g. ones with 8GB of RAM).
+# - remove useless INSTALL from doc dir.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=log4shib
VERSION=${VERSION:-2.0.0}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +46,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -75,9 +80,9 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS -std=c++14" \
@@ -86,17 +91,17 @@ CXXFLAGS="$SLKCFLAGS -std=c++14" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--disable-static \
+ --disable-dot \
--build=$ARCH-slackware-linux
make
make install-strip DESTDIR=$PKG
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+gzip -9 $PKG/usr/man/man*/*
mv $PKG/usr/share/doc $PKG/usr/doc
+rmdir $PKG/usr/share 2>/dev/null || true
cp -a \
- AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS \
+ AUTHORS COPYING ChangeLog NEWS README THANKS \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild